"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useController = void 0;
var react_1 = require("react");
var error_1 = require("./error");
function useController(context) {
    var controller = (0, react_1.useContext)(context._context);
    if (controller === undefined) {
        throw new error_1.ControllerNotProvided("The requested controller is not provided in scope, make sure you have wrap it's Provider");
    }
    return controller;
}
exports.useController = useController;
//# sourceMappingURL=useController.js.map