"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBuilder = void 0;
var react_1 = require("react");
var useController_1 = require("./useController");
var useListener_1 = require("./useListener");
function useBuilder(context, buildWhen) {
    var controller = (0, useController_1.useController)(context);
    var _a = (0, react_1.useState)(controller.state), state = _a[0], setState = _a[1];
    (0, useListener_1.useListener)(context, function (newState) { return setState(newState); }, function (prev, curr) { var _a; return (_a = buildWhen === null || buildWhen === void 0 ? void 0 : buildWhen(prev, curr)) !== null && _a !== void 0 ? _a : true; });
    return [state, controller];
}
exports.useBuilder = useBuilder;
//# sourceMappingURL=useBuilder.js.map